audio/dap - The NetBSD Packages Collection

Digital audio recording and processing package

DAP is a comprehensive audio sample editing and processing suite. DAP
currently supports AIFF, AIFF-C, WAV and RAW audio files, 8 or 16 bit
resolution and 1, 2 or 4 channels of audio data. Note however that compressed
AIFF-C files are not currently supported, only non-compressed AIFF-C files.

The package itself offers comprehensive editing, playback and recording
facilities including full time stretch resampling, manual data editing and a
reasonably complete DSP processing suite. Note however that time stretching
does not currently work on Solaris (still trying to debug !!).

For compatibility with sox, the popular audio conversion tool, the "Sox
Compatible" preference must be switched on in DAP. Switching this option on
simply tells DAP not to save any strings when saving AIFF files. This is
necessary as the current version of sox is rather buggy and doesn't like odd
length strings. I'm gonna try and check in a fix to sox but for now if you have
any problems converting using sox switch this option on.

Build dependencies

pkgtools/x11-links x11/xorgproto pkgtools/cwrappers

Runtime dependencies

graphics/jpeg x11/libXpm x11/xforms graphics/jpeg x11/xforms

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfdap-2.1.5nb4.tgz
NetBSD 8.0earmv7hfdap-2.1.5nb4.tgz
NetBSD 8.0earmv7hfdap-2.1.5nb4.tgz
NetBSD 8.0i386dap-2.1.5nb4.tgz
NetBSD 8.0i386dap-2.1.5nb4.tgz
NetBSD 8.0i386dap-2.1.5nb4.tgz
NetBSD 8.0powerpcdap-2.1.5nb4.tgz
NetBSD 8.0powerpcdap-2.1.5nb4.tgz
NetBSD 8.0powerpcdap-2.1.5nb4.tgz
NetBSD 8.0x86_64dap-2.1.5nb4.tgz
NetBSD 8.0x86_64dap-2.1.5nb4.tgz
NetBSD 9.0aarch64dap-2.1.5nb4.tgz
NetBSD 9.0aarch64dap-2.1.5nb4.tgz
NetBSD 9.0aarch64dap-2.1.5nb4.tgz
NetBSD 9.0alphadap-2.1.5nb4.tgz
NetBSD 9.0alphadap-2.1.5nb4.tgz
NetBSD 9.0alphadap-2.1.5nb4.tgz
NetBSD 9.0earmv6hfdap-2.1.5nb4.tgz
NetBSD 9.0earmv6hfdap-2.1.5nb4.tgz
NetBSD 9.0earmv6hfdap-2.1.5nb4.tgz
NetBSD 9.0earmv6hfdap-2.1.5nb4.tgz
NetBSD 9.0earmv7hfdap-2.1.5nb4.tgz
NetBSD 9.0earmv7hfdap-2.1.5nb4.tgz
NetBSD 9.0earmv7hfdap-2.1.5nb4.tgz
NetBSD 9.0earmv7hfdap-2.1.5nb4.tgz
NetBSD 9.0i386dap-2.1.5nb4.tgz
NetBSD 9.0i386dap-2.1.5nb4.tgz
NetBSD 9.0i386dap-2.1.5nb4.tgz
NetBSD 9.0mips64ebdap-2.1.5nb4.tgz
NetBSD 9.0mips64ebdap-2.1.5nb4.tgz
NetBSD 9.0mips64ebdap-2.1.5nb4.tgz
NetBSD 9.0powerpcdap-2.1.5nb4.tgz
NetBSD 9.0powerpcdap-2.1.5nb4.tgz
NetBSD 9.0sparc64dap-2.1.5nb4.tgz
NetBSD 9.0sparc64dap-2.1.5nb4.tgz
NetBSD 9.0sparc64dap-2.1.5nb4.tgz
NetBSD 9.0sparcdap-2.1.5nb4.tgz
NetBSD 9.0sparcdap-2.1.5nb4.tgz
NetBSD 9.0x86_64dap-2.1.5nb4.tgz
NetBSD 9.0x86_64dap-2.1.5nb4.tgz
NetBSD 9.0x86_64dap-2.1.5nb4.tgz
NetBSD 9.0x86_64dap-2.1.5nb4.tgz
NetBSD 9.0x86_64dap-2.1.5nb4.tgz
NetBSD 9.0x86_64dap-2.1.5nb4.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.